package holeg.ui.view.canvas;

import holeg.model.GroupNode;
import holeg.ui.controller.Control;

import javax.swing.*;
import java.util.HashMap;
import java.util.Map;

public class CanvasCollectionPanel extends JTabbedPane {
    private final Control control;
    private final Map<JScrollPane, Canvas> canvases= new HashMap<>();
    private final Map<GroupNode, JScrollPane> canvases2= new HashMap<>();
    private Canvas main;

    public CanvasCollectionPanel(Control control){
        this.control = control;
        createMainCanvas();
    }

    private void createMainCanvas(){
        GroupNode mainGroupNode = control.getModel().getCanvas();
        Canvas canvas = new Canvas(control, mainGroupNode);
        main = canvas;
        final JScrollPane scrollPane = new JScrollPane(canvas);
        //        scrollPane.addComponentListener(new ComponentAdapter() {
//            @Override
//            public void componentResized(ComponentEvent e) {
//                GuiSettings.canvasSize.setX(Math.max(GuiSettings.canvasSize.getX(), canvasSP.getViewport().getWidth()));
//                GuiSettings.canvasSize
//                        .setY(Math.max(GuiSettings.canvasSize.getY(), canvasSP.getViewport().getHeight()));
//                log.info("canvas.repaint11");
//                canvas.repaint();
//            }
//        });
        canvases.put(scrollPane, canvas);
        canvases2.put(mainGroupNode, scrollPane);
        this.addTab("Main", scrollPane);
    }


    public Canvas getActualCanvas() {
        return main;
    }
}
